<?PHP
//******************************* Lizenzbestimmungen *******************************//
//                                                                                  //
//  Der Quellcode dieses Forums ist urheberrechtlich geschtzt.                     //
//  Bitte beachten Sie die AGB auf www.frank-karau.de/agb.php                       //
//                                                                                  //
//  Dieser Lizenzhinweis darf nicht entfernt werden.                                //
//                                                                                  //
//  (C) phpFK - Forum ohne MySQL - www.frank-karau.de - support@frank-karau.de      //
//                                                                                  //
//**********************************************************************************//

//* Load Configuration *//
ini_set('url_rewriter.tags',''); 
header('Cache-control: private');

require_once './include/init.php';

//* Header *//
$add_title = '';
$add_description = $_FORUM['settings_forum_description'];
$add_keywords = $_FORUM['settings_forum_keywords'];
if ((auth('auth_read', false)) && ($_GET['board'] <> ''))
{
	$_BOARD = IniLoad('./data/'.$_GET['board'].'/board.ini');
	if (file_exists('./data/'.$_GET['board'].'/'.$_GET['thema'].'.txt'))
	{
		$arr = FileLoad('./data/'.$_GET['board'].'/'.$_GET['thema'].'.txt');
		$add_title .= $arr[0][2].' &raquo; ';
		$add_description = history_text($arr[0][2], $arr[0][3], 300);
		// Keywords erzeugen
		$seperator = " ,.!?:'\"_#+*()\\/\n\r\t";
		$arr_keywords = array();
		$tok = strtok(history_text($arr[0][2], $arr[0][3], 1000), $seperator);
		while ($tok !== false) 
		{
			if (strlen($tok) > 4) array_push($arr_keywords, $tok);
			$tok = strtok($seperator);
		}
		$arr_keywords = array_unique($arr_keywords);
		$add_keywords = implode(', ', $arr_keywords);
	}
	else
	{
		$add_title .= $_BOARD['title'].' &raquo; ';
	}
}
echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<meta name="Author" content="PhpFK PHP Forum ohne MySQL Datenbank - www.frank-karau.de">
	<meta name="Keywords" CONTENT="'.$add_keywords.'">
	<meta name="Description" CONTENT="'.$add_description.'">
	<meta http-equiv="cache-control" content="no-cache">
	'.($_FORUM['settings_system_shorturls']?'<base href="'.$_FORUM['settings_forum_url'].'/">':'').'
	'.(!$robots_index?'<meta name="robots" content="index, follow">':'').'
	<title>'.$add_title.$_FORUM['settings_forum_name'].'</title>
	'.($_FORUM['settings_design_rss']?'<link rel="alternate" type="application/atom+xml" title="'.$_FORUM['settings_forum_name'].'" href="'.$_FORUM['settings_forum_url'].'/rss.php">':'').'
	<link rel=stylesheet type="text/css" href="styles/'.$_FORUM['settings_design_style'].'/text.css">
	<script type="text/javascript" src="./include/scripts.js"></script>
</head>
<body>';
if (in_array(basename($_SERVER['PHP_SELF']), array('thema.php', 'board.php', 'my_profil.php', 'ranking.php', 'search.php', 'rules.php', 'faq.php', 'impressum.php', 'post.php')))
	$url = $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'].($_SERVER['QUERY_STRING']==''?'':'&amp;').'action=login';
else
	$url = './index.php?action=login';

echo '
	<div id="login-panel">
		<table width="100%" cellspacing="0">
			<tr><td><img src="./styles/'.$_FORUM['settings_design_style'].'/images/loginS.png" alt="" /> <b>'.$_TEXT['LOGIN_LOGIN'].'</b></td><td></td><td style="text-align:right;"><a xonClick="hidePanel();" href="Javascript:hidePanel();">'.$_TEXT['CLOSE_WINDOW'].'</a></td></tr>
			<tr><td><form action="'.url($url).'" name="login" method="post"><label for="name">'.$_TEXT['LOGIN_USERNAME'].':</label> <INPUT TYPE="TEXT" id="name" NAME="name" value="'.$_COOKIE['loginname'].'"></td><td><label for="passwd">'.$_TEXT['LOGIN_PASSWORD'].':</label> <INPUT TYPE="PASSWORD" NAME="passwd" id="passwd" /></td><td><INPUT TYPE="SUBMIT" class="btn" NAME="submit" VALUE="'.$_TEXT['LOGIN_LOGIN'].'"></td></tr>
			<tr><td colspan="3"><input type="checkbox" name="cookie" checked="checked" id="cookie" /> <label for="cookie">'.$_TEXT['LOGIN_COOKIE'].'</label> | <a href="'.url('login.php').'">'.$_TEXT['LOGIN_LOST_PASSWORD'].'</form></td></tr>
		</table>
	</div>
';

//* include Style *//
@include('./styles/'.$_FORUM['settings_design_style'].'/top.php');
foreach (file('./styles/'.$_FORUM['settings_design_style'].'/top.html') as $line)
{
	echo style_convert($line);
}

//* Status: Offline *//
if (!$_FORUM['status'])
{
	echo '<div id="error"><b>'.$_TEXT['FORUM_OFFLINE'].':</b><br />';
	$file = file('./data/offline.txt');
	foreach($file as $line)
	{
		if ($line <> $file[0]) echo "<br>";
		echo do_ubb($line);
	}
	echo '</div>';
	require './include/page_bottom.php';
	Exit;
}

GLOBAL $MSG_ERROR, $MSG_NOTICE, $MSG_CONFIRM;

if ($MSG_ERROR <> '')
	echo '<div id="error">'.$MSG_ERROR.'</div>';

if ($MSG_NOTICE <> '')
	echo '<div id="notice">'.$MSG_NOTICE.'</div>';

if ($MSG_CONFIRM <> '')
	echo '<div id="confirm">'.$MSG_CONFIRM.'</div>';

?>
