<?PHP
//******************************* Lizenzbestimmungen *******************************//
//                                                                                  //
//  Der Quellcode dieses Forums ist urheberrechtlich geschtzt.                     //
//  Bitte beachten Sie die AGB auf www.frank-karau.de/agb.php                       //
//                                                                                  //
//  Dieser Lizenzhinweis darf nicht entfernt werden.                                //
//                                                                                  //
//  (C) phpFK - Forum ohne MySQL - www.frank-karau.de - support@frank-karau.de      //
//                                                                                  //
//**********************************************************************************//



// GLOBALS 
$TRENNZEICHEN = "";

// 1. Design
// 2. Users
// 3. Postings
// 4. Others


//**********************************************************************************//
// 1. Design 
//**********************************************************************************//

function url($file, $board = '', $thema = '', $beitrag = '0', $showsession = true, $showbase = false, $showpage = false)
{
	GLOBAL $_FORUM;
	if (($_FORUM['settings_forum_url'] != '') && $showbase) $url = $_FORUM['settings_forum_url'].'/';
	if (!is_numeric($beitrag))
	{
		$beitrag = '0';
	}
	$page = ceil(($beitrag+1)/10);
	$_FORUM = IniLoad('./data/forum.ini');

	if (($_FORUM['settings_system_shorturls']) && (in_array($file, array('board.php', 'thema.php', 'user.php'))))
	{ 
		$url .= 'board/';
		if (($showsession) AND ($_COOKIE['PHPSESSID']== '') AND ($_SESSION['Benutzername'] <> '')) 
		{
			$url .= 'sess_'.session_id().'/';
		}
		else if (in_array($file, array('board.php', 'thema.php')))
		{
			if ($board <> '')
			{
				$array = IniLoad('./data/'.$board.'/board.ini');
				$text .= $array['title'].'-';
			}
			if ($thema <> '')
			{
				$array = IniLoad('./data/'.$board.'/'.$thema.'.txt.ini');
				$text .= $array['title'].'-';
			}
			$text = strtolower($text);
			$text = str_replace("","ae",$text);
			$text = str_replace("","oe",$text);
			$text = str_replace("","ue",$text);
			$text = str_replace(" ","-",$text);
			$text = str_replace("","ss",$text);
			for ($i = 0; $i < strlen($text); $i++)
			{
				if (is_numeric(strpos('qwertzuiopasdfghjklyxcvbnm1234567890-', substr($text, $i, 1))))
				{
					$url .= substr($text, $i, 1);
				}
			}	
		}
		if ($file == "board.php")
		{
			if (($page > 1) OR ($showpage))
				$url .= $board.'__'.$page.'.html';
			else
				$url .= $board.'.html';
		}
		if ($file == "thema.php")
		{
			if (($page > 1) OR ($showpage))
				$url .= $board.'_'.$thema.'_'.$page.'.html';
			else
				$url .= $board.'_'.$thema.'.html';
		}
		if ($file == "user.php")
		{
			$url .= 'user/'.$board.'.html';
		}
	} 
	else
	{
		$url .= $file;
		if (($showsession) AND ($_COOKIE[session_name()]== '') AND ($_SESSION['Benutzername'] <> '')) 
			$url .= ((is_integer(strpos($url,'?')))?'&amp;':'?').session_name().'='.session_id();

		if ($file == "user.php")
		{
			if ($board != '')
				$url .= ((is_integer(strpos($url,'?')))?'&amp;':'?').'user='.$board;
		}
		else
		{
			if ($board != '')
				$url .= ((is_integer(strpos($url,'?')))?'&amp;':'?').'board='.$board;
			if ($thema != '')
				$url .= '&amp;thema='.$thema;
			if (($page > 1) OR ($showpage))
				$url .= '&amp;page='.$page;
			if (($beitrag > 0) AND ($thema <> ''))
				$url .= '#'.$beitrag;
		}
	}
	return $url;
}

function style_convert($line)
{
	GLOBAL $_FORUM, $_TEXT, $_COUNT, $_SESSION, $SERVER;
  	$line = str_replace('{_USER_ONLINE_}',($_FORUM['settings_design_showstat']?'<a href="'.url('index.php').'#stat"><img src="./styles/'.$_FORUM['settings_design_style'].'/images/statS.png" alt="" style="vertical-align:bottom;" /></a> <a href="'.url('index.php').'#stat">'.$_COUNT['online'].' '.$_TEXT['STAT_X_ONLINE'].'</a>':'<img src="./styles/'.$_FORUM['settings_design_style'].'/images/statS.png" alt="" style="vertical-align:bottom;" /> '.$_COUNT['online'].' '.$_TEXT['STAT_X_ONLINE']),$line);
 	$line = str_replace('{_HEADLINE_}',$_FORUM['settings_forum_header'],$line);
 	$line = str_replace('{_NAVIGATION_}','<a href="'.url('./').'">'.$_TEXT['NAV_FORUM'].'</a> | <a href="'.url('reg.php').'">'.$_TEXT['NAV_REGISTER'].'</a> | <a href="'.url('login.php').'">'.$_TEXT['NAV_LOGIN'].'</a> | <a href="'.url('ranking.php').'">'.$_TEXT['NAV_RANKING'].'</a> |  <a href="'.url('search.php').'">'.$_TEXT['NAV_SEARCH'].'</a>'.(file_exists('./data/rules.txt')?' | <a href="'.url('rules.php').'">'.$_TEXT['NAV_RULES'].'</a>':'').' | <a href="'.url('faq.php').'">'.$_TEXT['NAV_FAQ'].'</a>'.(file_exists('./data/impressum.txt')?' | <a href="'.url('impressum.php').'">'.$_TEXT['NAV_IMPRESSUM'].'</a>':'').'',$line);
	$line = str_replace('{_STYLE_}',$_FORUM['settings_design_style'],$line);
 	$line = str_replace('{_FORUM_VERSION_}',$_FORUM['version'],$line);
	if ($_SESSION['Benutzername'] != '')
		$replace_with = ''.user($_SESSION['Benutzername']).' | <a href="'.url('my_profil.php').'">'.$_TEXT['LOGIN_PROFILE'].'</a> |'.(IsAdmin($_SESSION['Benutzername'])?' <a href="'.url('./ap/index.php?x=login').'" target="_blank">'.$_TEXT['AP'].'</a> | ':'').' <a href="'.url('index.php?action=logout').'">'.$_TEXT['LOGIN_LOGOUT'].'</a>';
	else
		$replace_with = '<a onclick="showPanel(event);"><img src="styles/'.$_FORUM['settings_design_style'].'/images/loginS.png" alt="" style="vertical-align:bottom;" /></a>&nbsp;<a onCLick="showPanel(event);" href="javascript:;">'.$_TEXT['LOGIN_LOGIN'].'</a>';
	$line = str_replace('{_USER_LOGIN_}',$replace_with,$line);
	return $line;
}

function show_pages($pages, $page, $url)
{
	GLOBAL $_FORUM;
	echo '<img src="./styles/'.$_FORUM['settings_design_style'].'/images/gotoS.png" border="0">';
	$i = 1;
	echo ($i == $page?'<b>'.$i.'</b>':'<a href="'.$url.'&page='.$i.'">'.$i.'</a>');
	if (($page > 4) AND ($pages > 6)) echo ' ..';
	for ($i = ($page < $pages-2?$page:$pages-2)-2; $i <= ($page > 3?$page:3)+2; $i++)
		if (($i > 1) AND ($i < $pages)) echo ($i == $page?' <b>'.$i.'</b>':' <a href="'.$url.'&page='.$i.'">'.$i.'</a>');
	if (($page < $pages-3) AND ($pages > 6)) echo ' ..';
	$i = $pages;
	if ($pages > 1) echo ($i == $page?' <b>'.$i.'</b>':' <a href="'.$url.'&page='.$i.'">'.$i.'</a>');
}

function show_pages_($pages, $page, $file, $board = '', $thema = '')
{
	GLOBAL $_FORUM;
	echo '<img src="./styles/'.$_FORUM['settings_design_style'].'/images/gotoS.png" border="0">';
	$i = 1;
	echo ($i == $page?'<b>'.$i.'</b>':'<a href="'.url($file, $board, $thema, ($i*10)-1, true, false, true).'">'.$i.'</a>');
	if (($page > 4) AND ($pages > 6)) echo ' ..';
	for ($i = ($page < $pages-2?$page:$pages-2)-2; $i <= ($page > 3?$page:3)+2; $i++)
		if (($i > 1) AND ($i < $pages)) echo ($i == $page?' <b>'.$i.'</b>':' <a href="'.url($file, $board, $thema, ($i*10)-1, true, false, true).'">'.$i.'</a>');
	if (($page < $pages-3) AND ($pages > 6)) echo ' ..';
	$i = $pages;
	if ($pages > 1) echo ($i == $page?' <b>'.$i.'</b>':' <a href="'.url($file, $board, $thema, ($i*10)-1, true, false, true).'">'.$i.'</a>');
}

function fnum($number)
{
	if (is_numeric($number))
		if ($number > 999)
		{
			$number = substr($number, 0, strlen($number)-3).'.'.substr($number, strlen($number)-3, 3);
		}
	return($number);
}

function ftime($timestamp)
{
	GLOBAL $_FORUM, $_TEXT;
	$timeformat = $_FORUM['settings_timeformat'];
	if (is_numeric($_FORUM['settings_timedif']))
		$timestamp = $timestamp + ($_FORUM['settings_timedif'] * 3600);
	if (version_compare(phpversion(), "5.0.0") <> -1)
	{
		if (date('d.m.y', time()) == date('d.m.y', $timestamp))
		{
			$timeformat = str_ireplace('d.m.y', '{1}', $timeformat);
		}
		else if (date('d.m.y', time()-86400) == date('d.m.y', $timestamp))
		{
			$timeformat = str_ireplace('d.m.y', '{2}', $timeformat);
		}
	}
	$string = date($timeformat, $timestamp);
	$string = str_replace('{1}', $_TEXT['TODAY'], $string);
	$string = str_replace('{2}', $_TEXT['YESTERDAY'], $string);
	return($string);
}


//**********************************************************************************//
// 2. Users
//**********************************************************************************//

function user($user)
{
	GLOBAL $_FORUM;
	$moderator=false;
	$ausgabe = "";

	$datei = "data/forum.dat";
	if (!file_exists($datei)) fclose(fopen($datei, "w"));
	$fp = fopen($datei,"r");
	$data = fgetcsv($fp,10000,"#");
	fclose($fp);	
	for ($i=0; $i<count($data); $i++)
	{
	    if ($data[$i] != '')
	    {
		if (is_numeric($data[$i]))
		{
			if ($data[$i]>$max) $max = $data[$i];
		}
            }
	}
	
	for ($i=0; $i<=$max; $i++) if (Ismod($i, $user)) $ausgabe = '<img src="styles/'.$_FORUM['settings_design_style'].'/images/mod.gif" border="0" alt="">';
	if (IsAdmin($user)) $ausgabe = '<img src="styles/'.$_FORUM['settings_design_style'].'/images/admin.gif" border="0" alt="">';
	
	if ($ausgabe == '')
	{
		if (file_exists('./data/user/'.$user.'.usr.ini'))
		{
			$points = user_points($user);
			$ausgabe = '<img src="styles/'.$_FORUM['settings_design_style'].'/images/1.png" border="0" alt="">';
			if ($points >= $_FORUM['settings_user_ranking2']) $ausgabe = '<img src="styles/'.$_FORUM['settings_design_style'].'/images/2.png" border="0" alt="">';
			if ($points >= $_FORUM['settings_user_ranking3']) $ausgabe = '<img src="styles/'.$_FORUM['settings_design_style'].'/images/3.png" border="0" alt="">';
			if ($points >= $_FORUM['settings_user_ranking4']) $ausgabe = '<img src="styles/'.$_FORUM['settings_design_style'].'/images/4.png" border="0" alt="">';
			if ($points >= $_FORUM['settings_user_ranking5']) $ausgabe = '<img src="styles/'.$_FORUM['settings_design_style'].'/images/5.png" border="0" alt="">';
		}
	}
	if ($ausgabe != '') 
		$ausgabe = '<a href="'.url('user.php', $user).'" title="'.$user.'">'.$user.'</a> '.$ausgabe;
	else
		$ausgabe = $user;
	return("<nobr>".$ausgabe."</nobr>");
}

function user_points($user, $dir = './')
{
	$udat = IniLoad($dir.'data/user/'.$user.'.usr.ini');
	return($udat['count_topics']*5 + $udat['count_answeres']*2 + $udat['count_answeres2'] - $udat['count_locked']*2);
}

function IsUser($user)
{
	return file_exists('./data/user/'.$user.'.usr.ini');
}


function IsMod($board, $name)
{
	$ausgabe = false;
	$_ADMINS = IniLoad('./data/user/Admins.grp.ini');
	$ausgabe = IsInGroup($_ADMINS['members'], $name);
	if (!$ausgabe)
	{
		$_BOARD = IniLoad('./data/'.$board.'/board.ini');
		$ausgabe = IsInGroup($_BOARD['mods'], $name);
	}
	return($ausgabe);
}

function IsAdmin($name)
{
	$_ADMINS = IniLoad('./data/user/Admins.grp.ini');
	return IsInGroup($_ADMINS['members'], $name);
}

function val_user($user, $passwd, $dir='./')
{
	$udat = IniLoad($dir."data/user/".$user.".usr.ini");
	return(($udat['password'] == $passwd) && ($passwd!=""));
}

function val_user_md5($user, $passwd)
{
	$udat = IniLoad("./data/user/".$user.".usr.ini");
	return((md5($udat['password']) == $passwd) && ($passwd!=""));
}

function user_register($new_name, $new_email, $root_dir = "./")
{	
	GLOBAL $_TEXT, $_FORUM;

	$error = "";
	$allchars = "qwertzuiopasdfghjklyxcvbnmQWERTZUIOPASDFGHJKLYXCVBNM1234567890_-.,:";	
	for ($i = 0; $i < strlen($new_name); $i++)
	{
		if (!is_numeric(strpos($allchars, substr($new_name, $i, 1))))
		{
			$error = "ERROR_USERNAME_INVALID";
		}
	}	
	if ((strlen($new_name)<3) OR (strlen($new_name)>20))
	{
		$error = "ERROR_USERNAME_INVALID";
	}
	if (file_exists($root_dir."data/user/".$new_name.".usr.ini"))
	{
		$error = "ERROR_USERNAME_INVALID";
	}
	if (file_exists($root_dir."data/user/".$new_name.".usr.tmp"))
	{
		$error = "ERROR_USERNAME_INVALID";
	}
	if (is_integer(strpos($new_name,"admin")))
	{
		$error = "ERROR_USERNAME_INVALID";
	}
	$new_passwd = "";
	mt_srand((double)microtime()*1000000);
	for ($i=1; $i<7; $i++)
 	{
		$new_passwd = $new_passwd.$allchars[mt_rand (0,strlen($allchars) -5)];
	}
	if ($error == "")
	{
		$message = $_TEXT['EMAIL_ANREDE']." ".$new_name.",\n\n".$_TEXT['EMAIL_NEW_ACCOUNT']."\n\n".$_TEXT['LOGIN_USERNAME'].": ".$new_name."\n".$_TEXT['LOGIN_PASSWORD'].": ".$new_passwd."\n\n".$_TEXT['EMAIL_FOOTER']."\n------------------------------\n".$_FORUM['settings_forum_name']." - ".$_FORUM['settings_forum_url'];
		if ($_FORUM['config_mail_addparameter'] <> '')
		{
			mail($new_email, $_FORUM['settings_forum_name'].' - '.$_TEXT['NAV_REGISTER'], $message, 'From: '.$_FORUM['settings_forum_name'].' <'.$_FORUM['settings_forum_email'].'>', $_FORUM['config_mail_addparameter']);
		}
		else
		{
			mail($new_email, $_FORUM['settings_forum_name'].' - '.$_TEXT['NAV_REGISTER'], $message, 'From: '.$_FORUM['settings_forum_name'].' <'.$_FORUM['settings_forum_email'].'>');
		}
		$udat = array();
		$udat['name'] = $new_name;
		$udat['password'] = $new_passwd;
		$udat['email'] = $new_email;
		$udat['register_date'] = time();
		$udat['newsletter'] = true;
		$udat['count_topics'] = 0;
		$udat['count_answeres'] = 0;
		$udat['count_answeres2'] = 0;
		$udat['count_locked'] = 0;
		IniSave($root_dir."data/user/".$new_name.".usr.tmp", $udat);
	}
	return $error;
}

function SendMessage($users, $title, $text, $from = '')
{
	GLOBAL $_FORUM;
	$users = array_unique($users);

	$text = str_replace("[b]","",$text);
	$text = str_replace("[/b]","",$text);
	$text = str_replace("[i]","",$text);
	$text = str_replace("[/i]","",$text);
	$text = str_replace("[u]","",$text);
	$text = str_replace("[/u]","",$text);
	$text = str_replace("[list]","",$text);
	$text = str_replace("[/list]","",$text);
	$text = str_replace("[center]","",$text);
	$text = str_replace("[/center]","",$text);
	$text = str_replace("&amp;","&",$text);
	$text = eregi_replace("\\[colour=([^\\[]*)\\]([^\\[]*)\\[/colour\\]","\\2",$text);
	$text = eregi_replace("\\[color=([^\\[]*)\\]([^\\[]*)\\[/color\\]","\\2",$text);
	$text = eregi_replace("\\[email=([^\\[]*)\\]([^\\[]*)\\[/email\\]","\\1",$text);
	$text = eregi_replace("\\[email\\]([^\\[]*)\\[/email\\]","\\1",$text);
	$text = eregi_replace("\\[img\\]([^\\[]*)\\[/img\\]","[ \\1 ]",$text);
	$text = eregi_replace("\\[url=([^\\[]*)\\]([^\\[]*)\\[/url\\]","\\1",$text);
	$text = eregi_replace("\\[url\\]([^\\[]*)\\[/url\\]","\\1",$text);
	$text = stripslashes($text);

	if ($from == '') $from = $_FORUM['settings_forum_name'].' <'.$_FORUM['settings_forum_email'].'>';

	foreach($users as $user)
	{
		$ini = IniLoad('./data/user/'.$user.".usr.ini");
		if ($ini['email'] <> '') 
		{
			if ($_FORUM['config_mail_addparameter'] <> '')
			{
				@mail($ini['email'], $_FORUM['settings_forum_name'].' - '.$title, $text."\n------------------------------\n".$_FORUM['settings_forum_name']." - ".$_FORUM['settings_forum_url'], 'From: '.$from, $_FORUM['config_mail_addparameter']);
			}
			else
			{
				@mail($ini['email'], $_FORUM['settings_forum_name'].' - '.$title, $text."\n------------------------------\n".$_FORUM['settings_forum_name']." - ".$_FORUM['settings_forum_url'], 'From: '.$from);
			}
		}
	}
	return true;
}

function auth($auth, $show = true, $board2 = '')
{
	GLOBAL $_SESSION, $_TEXT, $_SERVER, $board, $_FORUM, $count_online;
	$user = $_SESSION['Benutzername'];
	$access = false;

	if ($board2 != '') $board = $board2;	

	if (is_numeric($board))
	{
		$access = IsMod($board, $user);
		if (!$access)
		{
			$_BOARD = IniLoad('./data/'.$board.'/board.ini');
			$groups = Group2Array($_BOARD[$auth]);
			foreach ($groups as $group)
			{
			if ($group != '')
			{
				if ($group == '*1')
				{
					if ($user != '')
					{
						$access = true;
						Break;
					}
				}
				else if ($group == '*0')
				{
					$access = true;
					Break;
				}
				else if ($user != '') 
				{
					$_GROUP = IniLoad('./data/user/'.$group.'.grp.ini');
					if (IsInGroup($_GROUP['members'], $user))
					{
						$access = true;
						Break;
					}
				}
			}
			}
		}
	}
	if ((!$access) && ($show))
	{
		require_once './include/page_top.php';
		echo '
	<div id="error">'.$_TEXT['ACCESS_DENIED_MSG'].'</div>

	<div id="content">
		<form action="'.url($_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING']).'" method="post">
		<input type="hidden" name="action" value="login" />
		<table class="main">
		<tr><td class="oben">'.$_TEXT['LOGIN_LOGIN'].'</td></tr>
		<tr><td class="g">
			<center>
			<table style="width:60%;">
			<tr>
				<td style="text-align:right;"><label for="name">'.$_TEXT['LOGIN_USERNAME'].':</label></td>
				<td><input type="text" id="name" name="name" value="'.$_COOKIE['loginname'].'" maxlength="20" /></td>
			</tr>			<tr>
				<td style="text-align:right;"><label for="passwd">'.$_TEXT['LOGIN_PASSWORD'].':</label></td>
				<td><input type="password" id="passwd" name="passwd" maxlength="20" /></td>
			</tr>			<tr>
				<td colspan="2" style="text-align:center;"><input type="checkbox" name="cookie"> '.$_TEXT['LOGIN_COOKIE'].'</td>
			</tr>
			<tr>
				<td colspan="2" style="text-align:center;"><input type="submit" name="submit" value="'.$_TEXT['LOGIN_LOGIN'].'"></td>
			</tr>
			</table>
		</td></tr>
		</table>
		</form>
	</div>

		';
		require './include/page_bottom.php';
		Exit;
	}
	return $access;

}

//**********************************************************************************//
// 3. Postings
//**********************************************************************************//
function format($text)
{
	GLOBAL $TRENNZEICHEN;
 	$text = htmlentities($text);
	$text = nl2br($text);
	$text = str_replace("\n","",$text);
	$text = str_replace(chr(13),"",$text);
	$text = stripslashes($text);
	$text = str_replace("$TRENNZEICHEN","",$text);
	$text = str_replace("&amp;","&",$text);
	$text = do_ubb($text);
	$text = trim($text);
//	$text = str_replace("&","&amp;",$text);
//	$text = str_replace("&amp;#","&#",$text);
	return($text);
}

function formattitel($text)
{
	GLOBAL $TRENNZEICHEN;
	$text = strip_tags($text);
	$text = stripslashes($text);
	$text = str_replace("$TRENNZEICHEN","",$text);
	$text = trim($text);
	return($text);
}



//********************* DO_UBB ******************************************

function formaturl($url, $title="", $maxwidth=60, $width1=40, $width2=-15) {
	if(!trim($title)) $title=$url;
	if(!preg_match("/[a-z]:\/\//si", $url)) $url = "http://$url";
	if(strlen($title)>$maxwidth && !stristr($title,"[img]")) $title = substr($title,0,$width1)."...".substr($title,$width2);
	return "<a href=\"$url\" target=\"_blank\">".str_replace("\\\"", "\"", $title)."</a>";
}

function do_ubb($string) 
{
 GLOBAL $_FORUM, $_TEXT;
 $string = $string." ";
 $urlsearch[]="/([^]_a-z0-9-=\"'\/])((https?|ftp):\/\/|www\.)([^ \r\n\(\)\*\^\$!`\"'\|\[\]\{\};<>]*)/si";
 $urlsearch[]="/^((https?|ftp):\/\/|www\.)([^ \r\n\(\)\*\^\$!`\"'\|\[\]\{\};<>]*)/si";
 $urlreplace[]="\\1[URL]\\2\\4[/URL]";
 $urlreplace[]="[URL]\\1\\3[/URL]";
 $emailsearch[]="/([\s])([_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*(\.[a-zA-Z]{2,}))/si";
 $emailsearch[]="/^([_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*(\.[a-zA-Z]{2,}))/si";
 $emailreplace[]="\\1[EMAIL]\\2[/EMAIL]";
 $emailreplace[]="[EMAIL]\\0[/EMAIL]";

 $string = preg_replace($urlsearch, $urlreplace, $string);
 if (strpos($string, "@")) $string = preg_replace($emailsearch, $emailreplace, $string);


 // URL-Tag ersetzen
 $searcharray[]="/\[url=(['\"]?)([^\"']*)\\1](.*)\[\/url\]/esiU";
 $replacearray[]="formaturl('\\2','\\3')";
 $searcharray[]="/\[url]([^\"]*)\[\/url\]/esiU";	
 $replacearray[]="formaturl('\\1')";

 $string = preg_replace($searcharray, $replacearray, $string);


 $string = str_replace("[b]","<b>",$string);
 $string = str_replace("[/b]","</b>",$string);
 $string = str_replace("[i]","<i>",$string);
 $string = str_replace("[/i]","</i>",$string);
 $string = str_replace("[u]","<u>",$string);
 $string = str_replace("[/u]","</u>",$string);
 $string = str_replace("[list]","<ul>",$string);
 $string = str_replace("[/list]","</ul>",$string);
 $string = str_replace("[center]","<center>",$string);
 $string = str_replace("[/center]","</center>",$string);
 $string = str_replace("[*]","<li>",$string);
 $string = eregi_replace("\\[img\\]([^\\[]*)\\[/img\\]","<img src=\"\\1\" border=0>",$string);
 $string = eregi_replace("\\[colour=([^\\[]*)\\]([^\\[]*)\\[/colour\\]","<font color=\\1>\\2</font>",$string);
 $string = eregi_replace("\\[color=([^\\[]*)\\]([^\\[]*)\\[/color\\]","<font color=\\1>\\2</font>",$string);
 $string = eregi_replace("\\[email=([^\\[]*)\\]([^\\[]*)\\[/email\\]","<a href=\"mailto:\\1\">\\2</a>",$string);
 $string = eregi_replace("\\[email\\]([^\\[]*)\\[/email\\]","<a href=\"mailto:\\1\">\\1</a>",$string);
 $string = eregi_replace("\\[quote\\]([^\\[]*)\\[/quote\\]","<blockquote><smallfont><p>".$_TEXT['QUOTE'].":</smallfont><hr>\\1<hr></blockquote><p>",$string);
 $string = str_replace("[quote]","<blockquote><smallfont><p>".$_TEXT['QUOTE'].":</smallfont><hr>",$string);
 $string = str_replace("[/quote]","<hr></blockquote><p>",$string);

	$smilies = IniLoad('./styles/'.$_FORUM['settings_design_style'].'/smilies/smilies.ini');
	foreach (array_keys($smilies) as $item)
	{
		$string = str_replace($item,'<img src="styles/'.$_FORUM['settings_design_style'].'/smilies/'.$smilies[$item].'">',$string);
	}

	return($string);
}


function undo_ubb($string) 
{
	GLOBAL $_FORUM, $_TEXT;

	$pos = strpos($string, '<br /><br /><b>'.$_TEXT['EDITED'].' ');
	if (is_numeric($pos))
	{
		$string = substr($string, 0, $pos);
	} 

 $string = str_replace("<br>","\n",$string);
 $string = str_replace("<br />","\n",$string);
 $string = str_replace("<b>","[b]",$string);
 $string = str_replace("</b>","[/b]",$string);
 $string = str_replace("<i>","[i]",$string);
 $string = str_replace("</i>","[/i]",$string);
 $string = str_replace("<u>","[u]",$string);
 $string = str_replace("</u>","[/u]",$string);
 $string = str_replace("<ul>","[list]",$string);
 $string = str_replace("</ul>","[/list]",$string);
 $string = str_replace("<center>","[center]",$string);
 $string = str_replace("</center>","[/center]",$string);
 $string = str_replace("<li>","[*]",$string);

 $string = eregi_replace("\\<a href=\"([^>\[]*)\"\\ target=\"_blank\">([^<\[]*)</a>","[url=\\1]\\2[/url]",$string);
 $string = eregi_replace("\\<img src=\"([^>\[]*)\"\\ border=0>","[img]\\1[/img]",$string);
 $string = eregi_replace("\\<font color=([^>\[]*)\\>([^<\[]*)</font>" ,"[color=\\1]\\2[/color]",$string);
 $string = eregi_replace("\\<a href=\"mailto:([^>\[]*)\"\\>([^<\[]*)</a>","[email=\\1]\\2[/email]",$string);
 $string = eregi_replace("\\<blockquote><smallfont><p>".$_TEXT['QUOTE'].":</smallfont><hr>([^<\[]*)<hr></blockquote><p>","[quote]\\1[/quote]",$string);
 $string = str_replace("<blockquote><smallfont><p>".$_TEXT['QUOTE'].":</smallfont><hr>","[quote]",$string);
 $string = str_replace("<hr></blockquote><p>","[/quote]",$string);
 $string = eregi_replace("\\<font color=([^>\[]*)\\>" ,"[color=\\1]",$string);
 $string = str_replace("</font>","[/color]",$string);

	$smilies = IniLoad('./styles/'.$_FORUM['settings_design_style'].'/smilies/smilies.ini');
	foreach (array_keys($smilies) as $item)
	{
		$string = str_replace('<img src="styles/'.$_FORUM['settings_design_style'].'/smilies/'.$smilies[$item].'">', $item, $string);
	}
	return($string);
} 

function format_xml($text)
{
	$text = strip_tags($text);
	$text = str_replace("&","&amp;",$text);
	$text = preg_replace("!&amp;#([a_z0-9]*?);!","&#$1;",$text);
	$text = trim($text);
	return $text;
}

// Sytaxhightlighting
function bb_php_string($text) 
{  
  $text = str_replace("<br />","",$text);
  $text = html_entity_decode($text);
  ob_start(); 
  highlight_string($text); 
  $text = ob_get_contents(); 
  ob_end_clean(); 
  $text = str_replace("","<br>",$text);
  return $text; 
}

//**********************************************************************************//
// 4. Others
//**********************************************************************************//

function LoadFileList($dir, $filter = '')
{
	$verz=opendir($dir);
	rewinddir($verz);
	$files = array();
	while ($file = readdir ($verz)) 
	{
	  if (($file!=".") && ($file!=".."))
   	  {
		if ((is_integer(strpos($file,$filter))) OR ($filter==''))
			array_push($files,$file);
	  }
	}
	closedir($verz);
	if (count($files)>0) natcasesort($files);
	return($files);
}

function FileLoad($filename)
{
	GLOBAL $TRENNZEICHEN;
	if (File_Exists($filename))
	{
		$data = file($filename);
		for ($i=0; $i<count($data); $i++)
		{
			$data[$i] = explode($TRENNZEICHEN, $data[$i]);
		}
		return($data);
	}
	return array();
}

function FileSave($filename, $data)
{
	GLOBAL $TRENNZEICHEN, $_TEXT;
	if (is_writeable($filename) OR (!file_exists($filename)))
	{
		if (!$source = fopen($filename, "w"))
		{
			echo $_TEXT['ERROR_NOT_EXEC'].' (#171, '.$filename.')';
		}
		else
		{
			foreach($data as $line)
			{
				$addline = "";
				for ($i=0; $i<10; $i++)
				{
					$addline = $addline.$line[$i].$TRENNZEICHEN;
				}
				$addline = str_replace(chr(13).$TRENNZEICHEN,"",$addline);
				$addline = str_replace("\n".$TRENNZEICHEN,"",$addline);
				if (substr($addline, 0, 2) != "-".$TRENNZEICHEN)
				{
					fputs($source, $addline."\n");
				}
			}
			fclose($source);
		}
	}
	else
	{
		echo $_TEXT['ERROR_NOT_EXEC'].' (#170, '.$filename.')';
	}
}

function FileAppend($filename, $line)
{
	if (!file_exists($filename)) fclose(fopen($filename, "w"));
	$data = FileLoad($filename);
	array_push($data, $line);
	FileSave($filename, $data);
}

function FileDeleteLine($filename, $deleteline)
{
	$data = FileLoad($filename);
	$data[$deleteline][0] = "-";
	FileSave($filename, $data);
}

function IniLoad($filename)
{
	$RESULT = array();
	if (file_exists($filename))
	{
		$lines = file($filename);
		foreach ($lines as $line)
		{
            $pos = strpos($line, '=');
            if (is_integer($pos))
            {
                $RESULT[strtolower(substr($line,0,$pos))] = trim(substr($line, $pos+1, strlen($line)));
		if (trim(substr($line, $pos+1, strlen($line))) == 'false')
			$RESULT[strtolower(substr($line,0,$pos))] = false;
            }
		}
	}
	return $RESULT;
}

function IniSave($filename, $ini)
{
	GLOBAL $TRENNZEICHEN, $_TEXT;
	if (is_writeable($filename) OR (!file_exists($filename)))
	{
		if (!$source = fopen($filename, "w"))
		{
			echo $_TEXT['ERROR_NOT_EXEC'].' (#161, '.$filename.')';
		}
		else
		{
			$keys = array_keys($ini);
			natsort($keys);
			foreach ($keys as $key)
			{
				fwrite($source, $key.'='.trim($ini[$key])."\n");
			}
			fclose($source);
		}
	}
	else
	{
		echo $_TEXT['ERROR_NOT_EXEC'].' (#160, '.$filename.')';
	}
	return true;
}

function Group2Array($string)
{
  GLOBAL $TRENNZEICHEN;
  $array = explode($TRENNZEICHEN, trim($string, $TRENNZEICHEN."\n"));
  if ((count($array) == 1) AND (trim($array[0]) == '')) $array = array();
  return $array;
}

function Array2Group($array)
{
    GLOBAL $TRENNZEICHEN;
    $array = array_unique($array);
    natcasesort($array);
    return trim(implode($TRENNZEICHEN, $array), $TRENNZEICHEN);
}

function IsInGroup($string, $name)
{
    return (in_array($name, Group2Array($string)) && ($name != ''));
}

function AddToGroup(&$string, $name)
{
    $array = Group2Array($string);
    array_push($array, $name);
    $string = Array2Group($array);
    return $string;
}

function DeleteFromGroup(&$string, $name)
{
    $array = Group2Array($string);
    $array = array_diff($array, array($name));
    $string = Array2Group($array);
    return $string;
}

function history($board, $thema, $beitrag)
{
	GLOBAL $history_filename;

	FileAppend($history_filename, array($board, $thema, $beitrag));
	// Datenstze berprfen
	$hist = FileLoad($history_filename);
	if (count($hist) > 1000)
	{
		$hist = array_slice($hist, -1000);
	}
	FileSave($history_filename, $hist);
	history_check();
}

function history_delete($board, $thema, $beitrag)
{
	GLOBAL $history_filename;

	$hist = FileLoad($history_filename);
	for ($i = 0; $i < count($hist); $i++)
	{
		if (($hist[$i][0] == $board) && ($hist[$i][1] == $thema) && ($hist[$i][2] == $beitrag))
		{
			$hist[$i][0] = "-";
		}		
		if (($hist[$i][0] == $board) && ($hist[$i][1] == $thema) && ($hist[$i][2] > $beitrag))
		{
			$hist[$i][2]--;
		}		
	}
	FileSave($history_filename, $hist);
}

function history_move($board, $thema, $to_board, $to_thema)
{
	GLOBAL $history_filename;

	$hist = FileLoad($history_filename);
	for ($i = 0; $i < count($hist); $i++)
	{
		if (($hist[$i][0] == $board) && ($hist[$i][1] == $thema))
		{
			$hist[$i][0] = $to_board;
			$hist[$i][1] = $to_thema;
		}		
	}
	FileSave($history_filename, $hist);
}

function history_check()
{
	GLOBAL $history_filename;

	$hist = FileLoad($history_filename);
	for ($i = 0; $i < count($hist); $i++)
	{
		$post_filename = './data/'.$hist[$i][0].'/'.$hist[$i][1].'.txt';
		if (!file_exists($post_filename))
		{
			$hist[$i][0] = '-';
		}
		else
		{
			$post = file($post_filename);
			if (count($post) <= $hist[$i][2])
			{
				$hist[$i][0] = '-';
			}
		}
	}
	FileSave($history_filename, $hist);
}

function history_text($ptitel, $ptext, $length)
{
	if ($ptitel <> "") $ptext = $ptitel." - ".$ptext;
	$ptext = str_replace("<br />"," ",$ptext);
	$ptext = @html_entity_decode($ptext); 
	$ptext = str_replace("\"","'",$ptext);
	$ptext = str_replace('[/php]','',$ptext);
	$ptext = formattitel($ptext);
	$ptext = substr($ptext, 0, $length + strpos(substr($ptext." ",$length,100), " "))." ...";
	return $ptext;
}

function delete($file) {
 if (file_exists($file)) {
   if (is_dir($file)) {
     $handle = opendir($file); 
     while($filename = readdir($handle)) {
       if ($filename != "." && $filename != "..") {
        delete($file."/".$filename);
       }
     }
    closedir($handle);
     rmdir($file);
   } else {
     unlink($file);
   }
 }
}

function getBrowser($useragent)
{
	GLOBAL $_TEXT;
	if(eregi("(opera) ([0-9]{1,2}.[0-9]{1,3}){0,1}", $useragent, $regs) || eregi("(opera/)([0-9]{1,2}.[0-9]{1,3}){0,1}", $useragent, $regs)) $browser = "Opera $regs[2]";
	elseif(eregi("(firefox)/([0-9]{1,2}.[0-9]{1,2})", $useragent, $regs)) $browser = "Firefox $regs[2]";
	elseif(eregi("(msie) ([0-9]{1,2}.[0-9]{1,3})", $useragent, $regs)) $browser = "Internet Explorer $regs[2]";
	elseif(eregi("(konqueror)/([0-9]{1,2}.[0-9]{1,3})", $useragent, $regs)) $browser = "Konqueror $regs[2]";
	elseif(eregi("(lynx)/([0-9]{1,2}.[0-9]{1,2}.[0-9]{1,2})", $useragent, $regs)) $browser = "Lynx $regs[2]";
	elseif(eregi("(netscape6)/(6.[0-9]{1,3})", $useragent, $regs)) $browser = "Netscape $regs[2]";
	elseif(eregi("(netscape)/(7.[0-9]{1,3})", $useragent, $regs)) $browser = "Netscape $regs[2]";
	elseif(eregi("(mozilla)/(4.[0-9]{1,3})", $useragent, $regs)) $browser = "Communicator $regs[2]";
	elseif(eregi("w3m", $useragent)) $browser = "w3m";
	else $browser = '<a title="'.$useragent.'">'.$_TEXT['STAT_BROWSER_UNKNOWN'].'</a>';
	return $browser;
}


function neu_berechnen($boardid, $dir = './')
{
	$_BOARD = IniLoad($dir.'data/'.$boardid.'/board.ini');
	$_BOARD['topics'] = 0;
	$_BOARD['answeres'] = 0;
	$_BOARD['lastpost'] = '';
	$_BOARD['lastpost_date'] = 0;
	$files = LoadFileList($dir.'data/'.$boardid.'/', '.txt');
	foreach ($files as $file)
	{
		if (is_numeric(str_replace('.txt', '', $file)))
		{
			$lines = FileLoad($dir.'data/'.$boardid.'/'.$file);
			$line = $lines[count($lines)-1]; 
			if (($line[0] > $_BOARD['lastpost_date']) && (is_numeric($line[0])))
			{
				$_BOARD['lastpost'] = str_replace('.txt', '', $file);
				$_BOARD['lastpost_date'] = $line[0];
				$_BOARD['lastpost_from'] = $line[1];		
				$_BOARD['lastpost_title'] = $line[2];	
			}
			$_BOARD['answeres'] += count($lines)-1;
			$_BOARD['topics']++;
		}
	}
	IniSave($dir.'data/'.$boardid.'/board.ini', $_BOARD);
}

//**********************************************************************************//
// EOF
//**********************************************************************************//
?>
