<?PHP
//******************************* Lizenzbestimmungen *******************************//
//                                                                                  //
//  Der Quellcode dieses Forums ist urheberrechtlich geschtzt.                     //
//  Bitte beachten Sie die AGB auf www.frank-karau.de/agb.php                       //
//                                                                                  //
//  Dieser Lizenzhinweis darf nicht entfernt werden.                                //
//                                                                                  //
//  (C) phpFK - Forum ohne MySQL - www.frank-karau.de - support@frank-karau.de      //
//                                                                                  //
//**********************************************************************************//
 require './include/init.php';

$user = $_GET['user'];

if (!IsUser($user))
{
	$MSG_ERROR = $user.' '.$_TEXT['ERROR_NO_REG_USER'];
	include('./index.php');
	Exit; }
 require './include/page_top.php';

$data = IniLoad('./data/user/'.$user.'.usr.ini');

// Themen pro Tag
$anz_bei = $data['count_topics'];
$anz_tag = ceil((time()-$data['register_date'])/86400);
$perday = round(($anz_bei*10)/($anz_tag));
$themen_day = ' ('.($perday/10).' '.$_TEXT['A_DAY'].')';

// Antworten pro Tag
$anz_bei = $data['count_answeres'];
$anz_tag = ceil((time()-$data['register_date'])/86400);
$perday = round(($anz_bei*10)/($anz_tag));
$antworten_day = ' ('.($perday/10).' '.$_TEXT['A_DAY'].')';

// Locked in Prozent
if ($data['count_locked']>0) $locked = " (".round($data['count_locked']*100/$data['count_topics'])."%)";

echo '

	<div id="content">
		<table class="main">
		<tr><td class="oben" colspan="2">'.$_TEXT['PROFILE'].': '.user($user).'</td></tr>
		<tr><td class="g" style="vertical-align:top; width:70%;">
			<table class="main">
				<tr><td class="g"><b>'.$_TEXT['LOGIN_USERNAME'].'</b></td><td class="g"><b>'.user($user).'</b></td></tr>
				<tr><td class="w">'.$_TEXT['RANKING'].'</td><td class="w"><b>'.user_points($user).' '.$_TEXT['POINTS'].'</b></td></tr>
				<tr><td class="g">&nbsp;&nbsp;&nbsp;'.$_TEXT['TOPICS'].'</td><td class="g">'.$data['count_topics'].$themen_day.'</td></tr>		
				<tr><td class="w">&nbsp;&nbsp;&nbsp;'.$_TEXT['ANSWERES'].'</td><td class="w">'.$data['count_answeres'].$antworten_day.'</td></tr>
				<tr><td class="g">&nbsp;&nbsp;&nbsp;'.$_TEXT['LOCKED_TOPICS'].'</td><td class="g">'.$data['count_locked'].$locked.'</td></tr>
				<tr><td class="w">'.$_TEXT['TIME_OF_REGISTRATION'].'</td><td class="w">'.ftime($data['register_date']).'</td></tr>
				<tr><td class="g">'.$_TEXT['TIME_OF_LAST_VISIT'].'</td><td class="g">'.ftime($data['lastonline_date']).'</td></tr>

				'.(trim($data['text'])!=""?'<tr><td class="w">'.$_TEXT[PROFILE_DATA_TEXT].'</td><td class="w">'.$data['text'].'</td></tr>':'').'
			</table>

			<table class="main">
';


// at: sonstige Angaben
$list = array();
$class = "w";
foreach ($list as $line)
{
	$class = ($class=='w'?'g':'w');
	echo '
			<tr>
				<td class="'.$class.'">'.$line[0].'</td>
				<td class="'.$class.'">'.$line[1].'</td>
			</tr>
	';
}

echo '
			</table>

		</td><td class="g" style="vertical-align:top; width:30%;">
			<table class="main">
			<tr><td class="g"><b>'.$_TEXT['PROFILE_AVATAR'].'</b></td></tr>
			<tr><td class="w" style="text-align:center;">
';
				if ($data['avatar'] !="") { echo '<img src="'.$data['avatar'].'" border="0" >';} else { echo '-'; }
echo '
			</td></tr>
			</table>
			&nbsp;<table class="main">
';

$list = array();

// Nachricht
if ($_SESSION['Benutzername'] <> '')
{
	array_push($list, array($_TEXT['EMAIL'], '<a href="my_profil_mail.php?user='.$user.'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/mailS.png" style="vertical-align:bottom;" border="0" alt="'.$_TEXT['SEND_EMAIL'].'"></a> <a href="my_profil_mail.php?user='.$user.'">'.$_TEXT['SEND_EMAIL'].'</a>'));
}

// Homepage
if ($data['homepage']!="") 
{
	if (!is_integer(strpos($data['homepage'],"://")))
		$data['homepage'] = 'http://'.$data['homepage'];
	array_push($list, array($_TEXT['HOMEPAGE'], '<a href="'.$data['homepage'].'" target="_blank"><img src="styles/'.$_FORUM['settings_design_style'].'/images/homeS.png" style="vertical-align:bottom;" border="0"  alt="'.$_TEXT['HOMEPAGE'].'"></a> <a href="'.$data['homepage'].'" target="_blank">'.$data['homepage'].'</a>'));
}

//ICQ
if ($data['icq']<>"")
{
	array_push($list, array($_TEXT['ICQ'], '<a href="http://web.icq.com/whitepages/message_me?uin='.$data['icq'].'&action=message" target="_blank"><img src="http://web.icq.com/whitepages/online?icq='.$data['icq'].'&img=5" border="0" alt="'.$_TEXT['ICQ'].'"></a> <a href="http://web.icq.com/whitepages/message_me?uin='.$data['icq'].'&action=message" target="_blank">'.$data['icq'].'</a>'));
}

// SKYPE
if ($data['skype']<>"")
{
	array_push($list, array($_TEXT['SKYPE'], '<a href="callto://'.$data['skype'].'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/skypeS.png" style="vertical-align:bottom;" border="0" alt="'.$_TEXT['SKYPE'].'"></a> <a href="callto://'.$data['skype'].'">'.$data['skype'].'</a>'));
}


// MSN
if ($data['msn']<>"")
{
	array_push($list, array($_TEXT['MSN'], '<a href="http://members.msn.com/?mem='.$data['msn'].'" target="_blank"><img src="styles/'.$_FORUM['settings_design_style'].'/images/msnS.png" border="0" alt="'.$_TEXT['MSN'].'"></a> <a href="http://members.msn.com/?mem='.$data['msn'].'" target="_blank">'.$data['msn'].'</a>'));
}
$class = "w";
foreach ($list as $line)
{
	$class = ($class=='w'?'g':'w');
	echo '
			<tr>
				<td class="'.$class.'">'.$line[1].'</td>
			</tr>
	';
}

echo '
			</table>
		</td></tr>
		</table>
	</div>
';


echo '
	<div id="content">
		<table class="main">
		<tr><td class="oben">'.$_TEXT['GUESTBOOK'].'</td></tr>
';

	$datei = './data/user/'.$user.'.gb';
	
	if ($_POST['submit'] == $_TEXT['GUESTBOOK_SUBMIT'])
	{
		if (($_SESSION['Benutzername']) && ($_POST['text'] != ''))
		{
			$line[0] = $_SESSION['Benutzername'];
			$line[1] = time();
			$line[2] = format($_POST['text']);
			FileAppend($datei, $line);
			SendMessage(array($user), $_TEXT['GUESTBOOK'], $_SESSION['Benutzername']." ".$_TEXT['MSG_WROTE_GUESTBOOK']."\n------------------------------\n".$_POST['text']);
		}
	}
	
	//Lschen
	if (($_GET['submit'] == "del") && ($user == $_SESSION['Benutzername']))
	{
		FileDeleteLine($datei, $_GET['del']);
	}
	
	$eintrag = FileLoad($datei);
	$gesamt = count($eintrag);
	$pages = ceil(($gesamt)/5);
	if ($pages == 0) $pages=1;
	if ($page>$pages) $page=$pages;
	if ($page<"1") $page="1";
	

	
	if ($gesamt == 0)
	{ 
		echo '<tr><td class="w">'.$_TEXT['GUESTBOOK_NO_ENTRIES'].'</td></tr>';
	}
	else
	{
		$page = $_GET['page'];
		if ($page < 1) $page=1;
		$eintrag = array_reverse($eintrag);
		$von = (($page-1)*5);
		$bis = ($page*5);
		if ($von<1) $von=0;
		if ($bis>$gesamt) $bis=$gesamt;
		for ($i=$von; $i<$bis; $i++)
		{
			$gdat = $eintrag[$i];
			echo "<tr><td class=\"w\">".user($gdat[0])." ".$_TEXT['GUESTBOOK_USER_WROTE']." ".ftime($gdat[1])."<br>";
			echo "<i>$gdat[2]</i>";
			if ($user == $_SESSION['Benutzername']) echo "<br>[<a href=user.php?user=$user&page=$page&submit=del&del=".($gesamt-$i-1).">".$_TEXT['DELETE']."</a>]";
			echo "</td></tr>";
		}

		echo "<tr><td class=\"w\"><img src=styles/".$_FORUM['settings_design_style']."/images/gotoS.png border=0>";
		for ($i="1";$i<($pages+1);$i++)
		{
		 if ($i==$page)
		  echo "$i&nbsp;";
		 else
		  echo "<a href=user.php?user=$user&page=$i>$i</a>&nbsp;";
		}
		if ($page!=$pages) echo "<a href=user.php?user=$user&page=".($page+1).">&raquo;</a>";
		echo '</td></tr>';
	}

if ($_SESSION['Benutzername'])
{
	echo '
		<tr>
			<td class="g">
				<fieldset style="width:400px;">
				<legend>'.$_TEXT['GUESTBOOK_SUBMIT'].'</legend>
				<form action="user.php?user='.$user.'&page=1" method="post" name="gbook">
				<table style="width:100%;">
				<tr>
					<td style="width:20%;">'.$_TEXT['GUESTBOOK_USERNAME'].':</td>
					<td style="width:80%;"><b>'.$_SESSION['Benutzername'].'<b></td>
				</tr>
				<tr>
					<td style="vertical-align:top;">'.$_TEXT['GUESTBOOK_TEXT'].':</td>
					<td><TEXTAREA  NAME="text" style="width:100%;" ROWS="7" COLS="25"></TEXTAREA></td>
				</tr>
				<tr>
					<td colspan="2" style="text-align:center;"><INPUT TYPE="SUBMIT" NAME="submit" VALUE="'.$_TEXT['GUESTBOOK_SUBMIT'].'"></td>
				</tr>
				</table>
				</form>
				</fieldset>
			</td>
		</tr>
	';
}
echo '
		</table>
	</div>
';

require './include/page_bottom.php';  ?>